import searchReducer from '@/redux/search/search.slice';
import type { SearchState } from '@/redux/search/search.types';
import { ToolkitStoreWithSingleSlice } from '@/utils/createStoreInstanceUsingSliceReducer';
import { getReduxWrapperUsingSliceReducer } from '@/utils/testing/getReduxWrapperUsingSliceReducer';
import { render, screen } from '@testing-library/react';
import { TopBar } from './TopBar.component';

const renderComponent = (): { store: ToolkitStoreWithSingleSlice<SearchState> } => {
  const { Wrapper, store } = getReduxWrapperUsingSliceReducer('search', searchReducer);

  return (
    render(
      <Wrapper>
        <TopBar />
      </Wrapper>,
    ),
    {
      store,
    }
  );
};

describe('TopBar - component', () => {
  it('Should contain user avatar, search bar', () => {
    renderComponent();

    expect(screen.getByTestId('user-avatar')).toBeInTheDocument();
    expect(screen.getByTestId('search-bar')).toBeInTheDocument();
  });
});
