import { BioEntitiesAccordion } from '@/components/Map/Drawer/SearchDrawerContent/BioEntitiesAccordion';
import { closeDrawer } from '@/redux/drawer/drawer.slice';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { IconButton } from '@/shared/IconButton';

export const CLOSE_BUTTON_ROLE = 'close-drawer-button';

export const SearchDrawerContent = (): JSX.Element => {
  const dispatch = useAppDispatch();

  const handleCloseDrawer = (): void => {
    dispatch(closeDrawer());
  };

  return (
    <div className="flex flex-col" data-testid="search-drawer-content">
      <div className="flex items-center justify-between border-b border-b-divide px-6">
        <div className=" py-8 text-xl">
          <span className="font-normal">Search: </span>
          <span className="font-semibold">NADH</span>
        </div>
        <IconButton
          className="bg-white-pearl"
          classNameIcon="fill-font-500"
          icon="close"
          role={CLOSE_BUTTON_ROLE}
          onClick={handleCloseDrawer}
        />
      </div>
      <div className="px-6">
        <BioEntitiesAccordion />
      </div>
    </div>
  );
};
