import { Manrope } from '@next/font/google';
import { twMerge } from 'tailwind-merge';
import { Map } from '@/components/Map';
import { FunctionalArea } from '@/components/FunctionalArea';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { useEffect } from 'react';
import { getModels } from '@/redux/models/models.thunks';

const manrope = Manrope({
  variable: '--font-manrope',
  display: 'swap',
  weight: ['400', '700'],
  subsets: ['latin'],
});

export const MinervaSPA = (): JSX.Element => {
  const dispatch = useAppDispatch();

  useEffect(() => {
    dispatch(getModels());
  }, [dispatch]);

  return (
    <div className={twMerge('relative', manrope.variable)}>
      <FunctionalArea />
      <Map />
    </div>
  );
};
