import { z } from 'zod';
import { disease } from './disease';
import { organism } from './organism';

export const projectSchema = z.object({
  version: z.string(),
  disease,
  organism,
  idObject: z.number(),
  status: z.string(),
  directory: z.string(),
  progress: z.number(),
  notifyEmail: z.string(),
  logEntries: z.boolean(),
  name: z.string(),
  sharedInMinervaNet: z.boolean(),
  owner: z.string(),
  projectId: z.string(),
  creationDate: z.string(),
  mapCanvasType: z.string(),
  overviewImageViews: z.array(
    z.object({
      idObject: z.number(),
      filename: z.string(),
      width: z.number(),
      height: z.number(),
      links: z.array(
        z.union([
          z.object({
            idObject: z.number(),
            polygon: z.array(z.object({ x: z.number(), y: z.number() })),
            imageLinkId: z.number(),
            type: z.string(),
          }),
          z.object({
            idObject: z.number(),
            polygon: z.array(z.object({ x: z.number(), y: z.number() })),
            zoomLevel: z.number(),
            modelPoint: z.object({ x: z.number(), y: z.number() }),
            modelLinkId: z.number(),
            type: z.string(),
          }),
        ]),
      ),
    }),
  ),
});
