import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { BioEntityContentsState } from './bioEntityContents.types';
import { getBioEntityContents } from './bioEntityContents.thunks';

export const getBioEntityContentsReducer = (
  builder: ActionReducerMapBuilder<BioEntityContentsState>,
): void => {
  builder.addCase(getBioEntityContents.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getBioEntityContents.fulfilled, (state, action) => {
    state.data = action.payload;
    state.loading = 'succeeded';
  });
  builder.addCase(getBioEntityContents.rejected, state => {
    state.loading = 'failed';
    // TODO: error management to be discussed in the team
  });
};
