import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { getChemicals } from './chemicals.thunks';
import { ChemicalsState } from './chemicals.types';

export const getChemicalsReducer = (builder: ActionReducerMapBuilder<ChemicalsState>): void => {
  builder.addCase(getChemicals.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getChemicals.fulfilled, (state, action) => {
    state.data = action.payload;
    state.loading = 'succeeded';
  });
  builder.addCase(getChemicals.rejected, state => {
    state.loading = 'failed';
    // TODO to discuss manage state of failure
  });
};
