import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { DrugsState } from './drugs.types';
import { getDrugs } from './drugs.thunks';

export const getDrugsReducer = (builder: ActionReducerMapBuilder<DrugsState>): void => {
  builder.addCase(getDrugs.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getDrugs.fulfilled, (state, action) => {
    state.data = action.payload;
    state.loading = 'succeeded';
  });
  builder.addCase(getDrugs.rejected, state => {
    state.loading = 'failed';
    // TODO to discuss manage state of failure
  });
};
