import { createAsyncThunk } from '@reduxjs/toolkit';
import { axiosInstance } from '@/services/api/utils/axiosInstance';
import { Project } from '@/types/models';
import { validateDataUsingZodSchema } from '@/utils/validateDataUsingZodSchema';
import { projectSchema } from '@/models/project';

export const getProjectById = createAsyncThunk(
  'project/getUsersByIdStatus',
  async (id: string): Promise<Project | undefined> => {
    const response = await axiosInstance.get<Project>(`projects/${id}`);

    const isDataValid = validateDataUsingZodSchema(response.data, projectSchema);

    return isDataValid ? response.data : undefined;
  },
);
