import { getSearchDataReducer } from '@/redux/search/search.reducers';
import { SearchState } from '@/redux/search/search.types';
import { createSlice } from '@reduxjs/toolkit';

const initialState: SearchState = {
  searchValue: '',
  searchResult: {
    content: '',
    drugs: '',
  },
  loading: 'idle',
};

export const searchSlice = createSlice({
  name: 'search',
  initialState,
  reducers: {},
  extraReducers(builder) {
    getSearchDataReducer(builder);
  },
});

export default searchSlice.reducer;
