import { Icon } from '@/shared/Icon';
import { AccordionItemButton as AIB } from 'react-accessible-accordion';
import './AccordionItemButton.style.css';

interface AccordionItemButtonProps {
  children: React.ReactNode;
}

export const AccordionItemButton = ({ children }: AccordionItemButtonProps): JSX.Element => (
  <AIB className="accordion-button flex flex-row flex-nowrap justify-between">
    {children}
    <Icon name="chevron-down" className="arrow-button h-6 w-6 fill-font-500" />
  </AIB>
);
